<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0) on Wed Aug 15 19:54:13 CEST 2007 -->
<TITLE>
FigureRangeChecking
</TITLE>

<META NAME="date" CONTENT="2007-08-15">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="FigureRangeChecking";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/FigureRangeChecking.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV CLASS&nbsp;
&nbsp;<A HREF="../../../model/chess/trid/Game.html" title="class in model.chess.trid"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../index.html?model/chess/trid/FigureRangeChecking.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="FigureRangeChecking.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
model.chess.trid</FONT>
<BR>
Class FigureRangeChecking</H2>
<PRE>
<A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</A>
  <IMG SRC="../../../resources/inherit.gif" ALT="extended by "><B>model.chess.trid.FigureRangeChecking</B>
</PRE>
<HR>
<DL>
<DT><PRE>public class <B>FigureRangeChecking</B><DT>extends <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</A></DL>
</PRE>

<P>
Checks the movement range for all figures and provides counter check
 checking.
<P>

<P>
<DL>
<DT><B>Author:</B></DT>
  <DD>robert.wloch@tempel-der-guten-dinge.de</DD>
</DL>
<HR>

<P>
<!-- =========== FIELD SUMMARY =========== -->

<A NAME="field_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Field Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../model/chess/trid/FigureRangeChecking.html#CHAIN_THREAD">CHAIN_THREAD</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Indicates checking for possible check thread after move has to stop due to
 an enemy's figure.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../model/chess/trid/FigureRangeChecking.html#CHECK_THREAD">CHECK_THREAD</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Indicates checking for possible check thread after move has to stop due to
 an own figure.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../model/chess/trid/FigureRangeChecking.html#MOVE_RANGE">MOVE_RANGE</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Indicates checking for plain moves.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../model/chess/trid/FigureRangeChecking.html#X_AXIS">X_AXIS</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Value for X_AXIS.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../model/chess/trid/FigureRangeChecking.html#Y_AXIS">Y_AXIS</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Value for Y_AXIS.</TD>
</TR>
</TABLE>
&nbsp;
<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../model/chess/trid/FigureRangeChecking.html#FigureRangeChecking(model.chess.trid.TriDBoard)">FigureRangeChecking</A></B>(<A HREF="../../../model/chess/trid/TriDBoard.html" title="class in model.chess.trid">TriDBoard</A>&nbsp;board)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Construction with TriDBoard.</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../model/chess/trid/FigureRangeChecking.html#attack(model.chess.Figure, model.chess.Field, java.util.ArrayList, int)">attack</A></B>(<A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A>&nbsp;fig,
       <A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&nbsp;target,
       <A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;&nbsp;path,
       int&nbsp;checkType)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets Figure's and Field's properties for possible attack move.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../model/chess/trid/FigureRangeChecking.html#checkBishopRange(model.chess.Figure, model.chess.Field)">checkBishopRange</A></B>(<A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A>&nbsp;fig,
                 <A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&nbsp;f)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Starts field range calculations from current field on for bishops.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../model/chess/trid/FigureRangeChecking.html#checkCastleRange(model.chess.Figure, model.chess.Field)">checkCastleRange</A></B>(<A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A>&nbsp;fig,
                 <A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&nbsp;f)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Starts field range calculations from current field on for castles.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../model/chess/trid/FigureRangeChecking.html#checkDiagonal(model.chess.Figure, java.util.ArrayList, int, int, int, int[], boolean, int)">checkDiagonal</A></B>(<A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A>&nbsp;fig,
              <A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;&nbsp;path,
              int&nbsp;limit,
              int&nbsp;signX,
              int&nbsp;signY,
              int[]&nbsp;b,
              boolean&nbsp;attackOnly,
              int&nbsp;checkType)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Checks next diagonal field relative to current board position if it's free
 to move onto it.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../model/chess/trid/FigureRangeChecking.html#checkDownward(model.chess.Figure, java.util.ArrayList, int, int, int, int[], int, boolean, int)">checkDownward</A></B>(<A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A>&nbsp;fig,
              <A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;&nbsp;path,
              int&nbsp;minZ,
              int&nbsp;limit,
              int&nbsp;sign,
              int[]&nbsp;b,
              int&nbsp;xy,
              boolean&nbsp;mustNotAttack,
              int&nbsp;checkType)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Checks all downward fields in proper order from current board position on
 if they're free to move onto.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../model/chess/trid/FigureRangeChecking.html#checkDownward(model.chess.Figure, java.util.ArrayList, int, int, int, int, int[], boolean, int)">checkDownward</A></B>(<A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A>&nbsp;fig,
              <A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;&nbsp;path,
              int&nbsp;minZ,
              int&nbsp;limit,
              int&nbsp;signX,
              int&nbsp;signY,
              int[]&nbsp;b,
              boolean&nbsp;attackOnly,
              int&nbsp;checkType)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Checks all downward fields in proper order from current board position on
 if they're free to move onto.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../model/chess/trid/FigureRangeChecking.html#checkJumps(model.chess.Figure, java.util.ArrayList, int[], int)">checkJumps</A></B>(<A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A>&nbsp;fig,
           <A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;&nbsp;path,
           int[]&nbsp;b,
           int&nbsp;checkType)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Checks all jump destination fields on all z levels relative to current
 board position if they're free to move onto.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../model/chess/trid/FigureRangeChecking.html#checkKingQueenRange(model.chess.Figure, model.chess.Field, int, int)">checkKingQueenRange</A></B>(<A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A>&nbsp;fig,
                    <A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&nbsp;f,
                    int&nbsp;x,
                    int&nbsp;y)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Starts field range calculations from current field on for queens and
 kings.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../model/chess/trid/FigureRangeChecking.html#checkKnightRange(model.chess.Figure, model.chess.Field)">checkKnightRange</A></B>(<A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A>&nbsp;fig,
                 <A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&nbsp;f)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Starts field range calculations from current field on for knights.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../model/chess/trid/FigureRangeChecking.html#checkPawnRange(model.chess.Figure, model.chess.Field)">checkPawnRange</A></B>(<A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A>&nbsp;fig,
               <A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&nbsp;f)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Starts field range calculations from current field on for pawns.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../model/chess/trid/FigureRangeChecking.html#checkRangeForFigure(model.chess.Figure)">checkRangeForFigure</A></B>(<A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A>&nbsp;fig)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;For a figure finds the fields it can move onto, figures it can attack, and
 figures it covers.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../model/chess/trid/FigureRangeChecking.html#checkStraight(model.chess.Figure, java.util.ArrayList, int, int, int[], int, boolean, int)">checkStraight</A></B>(<A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A>&nbsp;fig,
              <A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;&nbsp;path,
              int&nbsp;limit,
              int&nbsp;sign,
              int[]&nbsp;b,
              int&nbsp;xy,
              boolean&nbsp;mustNotAttack,
              int&nbsp;checkType)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Checks next field relative to current board position if it's free to move
 onto it.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../model/chess/trid/FigureRangeChecking.html#checkUpDownDiagonalStart(model.chess.Figure, java.util.ArrayList, int, int, int, int[], boolean, int)">checkUpDownDiagonalStart</A></B>(<A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A>&nbsp;fig,
                         <A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;&nbsp;path,
                         int&nbsp;limit,
                         int&nbsp;signX,
                         int&nbsp;signY,
                         int[]&nbsp;b,
                         boolean&nbsp;attackOnly,
                         int&nbsp;checkType)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Checks all other z levels away from current board position if they are
 free to switch the level at the start of a move.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../model/chess/trid/FigureRangeChecking.html#checkUpDownStraightStart(model.chess.Figure, java.util.ArrayList, int, int, int[], int, boolean, int)">checkUpDownStraightStart</A></B>(<A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A>&nbsp;fig,
                         <A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;&nbsp;path,
                         int&nbsp;limit,
                         int&nbsp;sign,
                         int[]&nbsp;b,
                         int&nbsp;xy,
                         boolean&nbsp;mustNotAttack,
                         int&nbsp;checkType)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Checks all other z levels away from current board position if they are
 free to switch the level at the start of a move.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../model/chess/trid/FigureRangeChecking.html#checkUpward(model.chess.Figure, java.util.ArrayList, int, int, int, int[], int, boolean, int)">checkUpward</A></B>(<A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A>&nbsp;fig,
            <A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;&nbsp;path,
            int&nbsp;maxZ,
            int&nbsp;limit,
            int&nbsp;sign,
            int[]&nbsp;b,
            int&nbsp;xy,
            boolean&nbsp;mustNotAttack,
            int&nbsp;checkType)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Checks all upward fields in proper order from current board position on if
 they're free to move onto.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../model/chess/trid/FigureRangeChecking.html#checkUpward(model.chess.Figure, java.util.ArrayList, int, int, int, int, int[], boolean, int)">checkUpward</A></B>(<A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A>&nbsp;fig,
            <A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;&nbsp;path,
            int&nbsp;maxZ,
            int&nbsp;limit,
            int&nbsp;signX,
            int&nbsp;signY,
            int[]&nbsp;b,
            boolean&nbsp;attackOnly,
            int&nbsp;checkType)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Checks all upward fields in proper order from current board position on if
 they're free to move onto.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../model/chess/trid/FigureRangeChecking.html#counterCheckCalculations(model.chess.Figure, java.util.ArrayList, java.util.ArrayList)">counterCheckCalculations</A></B>(<A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A>&nbsp;king,
                         <A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A>&gt;&nbsp;attacked,
                         <A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A>&gt;&nbsp;attackers)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Perform move range calculations for party put in check to remove check
 status.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../model/chess/trid/FigureRangeChecking.html#pathList(java.util.ArrayList, model.chess.Field)">pathList</A></B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;&nbsp;old,
         <A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&nbsp;f)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Creates a new path list and prepends the contents of old, if old is not
 null.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../model/chess/trid/FigureRangeChecking.html#refreshFiguresStates()">refreshFiguresStates</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;For all figures finds the fields they can move onto, figures they can
 attack, and figures they cover.</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.<A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html?is-external=true#clone()" title="class or interface in java.lang">clone</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html?is-external=true#equals(java.lang.Object)" title="class or interface in java.lang">equals</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html?is-external=true#finalize()" title="class or interface in java.lang">finalize</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html?is-external=true#getClass()" title="class or interface in java.lang">getClass</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html?is-external=true#hashCode()" title="class or interface in java.lang">hashCode</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html?is-external=true#notify()" title="class or interface in java.lang">notify</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html?is-external=true#notifyAll()" title="class or interface in java.lang">notifyAll</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html?is-external=true#toString()" title="class or interface in java.lang">toString</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html?is-external=true#wait()" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html?is-external=true#wait(long)" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html?is-external=true#wait(long, int)" title="class or interface in java.lang">wait</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ FIELD DETAIL =========== -->

<A NAME="field_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Field Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="MOVE_RANGE"><!-- --></A><H3>
MOVE_RANGE</H3>
<PRE>
protected static final int <B>MOVE_RANGE</B></PRE>
<DL>
<DD>Indicates checking for plain moves.
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../../constant-values.html#model.chess.trid.FigureRangeChecking.MOVE_RANGE">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="CHECK_THREAD"><!-- --></A><H3>
CHECK_THREAD</H3>
<PRE>
protected static final int <B>CHECK_THREAD</B></PRE>
<DL>
<DD>Indicates checking for possible check thread after move has to stop due to
 an own figure. Checking assumes the own figure wasn't there and if the
 investigated figure could put enemy to check if it had free way.
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../../constant-values.html#model.chess.trid.FigureRangeChecking.CHECK_THREAD">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="CHAIN_THREAD"><!-- --></A><H3>
CHAIN_THREAD</H3>
<PRE>
protected static final int <B>CHAIN_THREAD</B></PRE>
<DL>
<DD>Indicates checking for possible check thread after move has to stop due to
 an enemy's figure. Checking assumes the opposing figure wasn't there and
 if the investigated figure could put enemy to check if it had free way.
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../../constant-values.html#model.chess.trid.FigureRangeChecking.CHAIN_THREAD">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="X_AXIS"><!-- --></A><H3>
X_AXIS</H3>
<PRE>
public static final int <B>X_AXIS</B></PRE>
<DL>
<DD>Value for X_AXIS.
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../../constant-values.html#model.chess.trid.FigureRangeChecking.X_AXIS">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="Y_AXIS"><!-- --></A><H3>
Y_AXIS</H3>
<PRE>
public static final int <B>Y_AXIS</B></PRE>
<DL>
<DD>Value for Y_AXIS.
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../../constant-values.html#model.chess.trid.FigureRangeChecking.Y_AXIS">Constant Field Values</A></DL>
</DL>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="FigureRangeChecking(model.chess.trid.TriDBoard)"><!-- --></A><H3>
FigureRangeChecking</H3>
<PRE>
public <B>FigureRangeChecking</B>(<A HREF="../../../model/chess/trid/TriDBoard.html" title="class in model.chess.trid">TriDBoard</A>&nbsp;board)</PRE>
<DL>
<DD>Construction with TriDBoard.
<P>
<DL>
<DT><B>Parameters:</B><DD><CODE>board</CODE> - </DL>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="refreshFiguresStates()"><!-- --></A><H3>
refreshFiguresStates</H3>
<PRE>
public void <B>refreshFiguresStates</B>()</PRE>
<DL>
<DD>For all figures finds the fields they can move onto, figures they can
 attack, and figures they cover. Also collects fields where regular
 movement is blocked by other figures.<br>
 Marks kings being check or mate.
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="counterCheckCalculations(model.chess.Figure, java.util.ArrayList, java.util.ArrayList)"><!-- --></A><H3>
counterCheckCalculations</H3>
<PRE>
protected void <B>counterCheckCalculations</B>(<A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A>&nbsp;king,
                                        <A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A>&gt;&nbsp;attacked,
                                        <A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A>&gt;&nbsp;attackers)</PRE>
<DL>
<DD>Perform move range calculations for party put in check to remove check
 status. This caluclations must recognize check mate.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>king</CODE> - attacked king Figure<DD><CODE>attacked</CODE> - all figures in play of party in check<DD><CODE>attackers</CODE> - all figures in play of attacking party</DL>
</DD>
</DL>
<HR>

<A NAME="checkRangeForFigure(model.chess.Figure)"><!-- --></A><H3>
checkRangeForFigure</H3>
<PRE>
protected void <B>checkRangeForFigure</B>(<A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A>&nbsp;fig)</PRE>
<DL>
<DD>For a figure finds the fields it can move onto, figures it can attack, and
 figures it covers. Also collects fields where regular movement is blocked
 by other figures.<br>
 Marks kings being check or mate.
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="pathList(java.util.ArrayList, model.chess.Field)"><!-- --></A><H3>
pathList</H3>
<PRE>
protected <A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&gt; <B>pathList</B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;&nbsp;old,
                                    <A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&nbsp;f)</PRE>
<DL>
<DD>Creates a new path list and prepends the contents of old, if old is not
 null. The last element is always f.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>old</CODE> - may be null<DD><CODE>f</CODE> - not null
<DT><B>Returns:</B><DD>new list with added field</DL>
</DD>
</DL>
<HR>

<A NAME="checkPawnRange(model.chess.Figure, model.chess.Field)"><!-- --></A><H3>
checkPawnRange</H3>
<PRE>
public void <B>checkPawnRange</B>(<A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A>&nbsp;fig,
                           <A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&nbsp;f)</PRE>
<DL>
<DD>Starts field range calculations from current field on for pawns.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>fig</CODE> - Figure<DD><CODE>f</CODE> - current Field</DL>
</DD>
</DL>
<HR>

<A NAME="checkCastleRange(model.chess.Figure, model.chess.Field)"><!-- --></A><H3>
checkCastleRange</H3>
<PRE>
public void <B>checkCastleRange</B>(<A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A>&nbsp;fig,
                             <A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&nbsp;f)</PRE>
<DL>
<DD>Starts field range calculations from current field on for castles.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>fig</CODE> - Figure<DD><CODE>f</CODE> - current Field</DL>
</DD>
</DL>
<HR>

<A NAME="checkKnightRange(model.chess.Figure, model.chess.Field)"><!-- --></A><H3>
checkKnightRange</H3>
<PRE>
public void <B>checkKnightRange</B>(<A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A>&nbsp;fig,
                             <A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&nbsp;f)</PRE>
<DL>
<DD>Starts field range calculations from current field on for knights.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>fig</CODE> - Figure<DD><CODE>f</CODE> - current Field</DL>
</DD>
</DL>
<HR>

<A NAME="checkBishopRange(model.chess.Figure, model.chess.Field)"><!-- --></A><H3>
checkBishopRange</H3>
<PRE>
public void <B>checkBishopRange</B>(<A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A>&nbsp;fig,
                             <A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&nbsp;f)</PRE>
<DL>
<DD>Starts field range calculations from current field on for bishops.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>fig</CODE> - Figure<DD><CODE>f</CODE> - current Field</DL>
</DD>
</DL>
<HR>

<A NAME="checkKingQueenRange(model.chess.Figure, model.chess.Field, int, int)"><!-- --></A><H3>
checkKingQueenRange</H3>
<PRE>
public void <B>checkKingQueenRange</B>(<A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A>&nbsp;fig,
                                <A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&nbsp;f,
                                int&nbsp;x,
                                int&nbsp;y)</PRE>
<DL>
<DD>Starts field range calculations from current field on for queens and
 kings.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>fig</CODE> - Figure<DD><CODE>f</CODE> - current Field<DD><CODE>x</CODE> - board width<DD><CODE>y</CODE> - board height</DL>
</DD>
</DL>
<HR>

<A NAME="attack(model.chess.Figure, model.chess.Field, java.util.ArrayList, int)"><!-- --></A><H3>
attack</H3>
<PRE>
protected void <B>attack</B>(<A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A>&nbsp;fig,
                      <A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&nbsp;target,
                      <A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;&nbsp;path,
                      int&nbsp;checkType)</PRE>
<DL>
<DD>Sets Figure's and Field's properties for possible attack move.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>fig</CODE> - movable Figure<DD><CODE>target</CODE> - Field<DD><CODE>path</CODE> - Field path from Figure's Field to target Field<DD><CODE>checkType</CODE> - MOVE_RANGE, CHECK_THREAD, or CHAIN_THREAD</DL>
</DD>
</DL>
<HR>

<A NAME="checkDiagonal(model.chess.Figure, java.util.ArrayList, int, int, int, int[], boolean, int)"><!-- --></A><H3>
checkDiagonal</H3>
<PRE>
protected void <B>checkDiagonal</B>(<A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A>&nbsp;fig,
                             <A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;&nbsp;path,
                             int&nbsp;limit,
                             int&nbsp;signX,
                             int&nbsp;signY,
                             int[]&nbsp;b,
                             boolean&nbsp;attackOnly,
                             int&nbsp;checkType)</PRE>
<DL>
<DD>Checks next diagonal field relative to current board position if it's free
 to move onto it. If signX is 1 field is "east", if it's -1 field is
 "west". If signY is 1 forward is "north", if it's -1 it's "south".<br>
 The limit is the number of fields that will be checked at most if no
 figure is in the way. It's determined by the range of a figure.<br>
 Normally a field is allowed to be moved on, if it's not occupied. However,
 some figures can only move diagonally for attacks (pawns). To "turn
 around" the checking, attackOnly should be true.<br>
 The checking will be done for all z level of the current field.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>fig</CODE> - Figure<DD><CODE>path</CODE> - path of Fields to the current check position<DD><CODE>limit</CODE> - maximum number of fields to check further<DD><CODE>signX</CODE> - movement "west": -1, "east": 1<DD><CODE>signY</CODE> - movement "south" (black pawns): -1, "north" (white pawns): 1<DD><CODE>b</CODE> - current 3D board position<DD><CODE>attackOnly</CODE> - allows move only, if target field is occupied by a figure<DD><CODE>checkType</CODE> - MOVE_RANGE, CHECK_THREAD, or CHAIN_THREAD</DL>
</DD>
</DL>
<HR>

<A NAME="checkUpDownDiagonalStart(model.chess.Figure, java.util.ArrayList, int, int, int, int[], boolean, int)"><!-- --></A><H3>
checkUpDownDiagonalStart</H3>
<PRE>
public void <B>checkUpDownDiagonalStart</B>(<A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A>&nbsp;fig,
                                     <A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;&nbsp;path,
                                     int&nbsp;limit,
                                     int&nbsp;signX,
                                     int&nbsp;signY,
                                     int[]&nbsp;b,
                                     boolean&nbsp;attackOnly,
                                     int&nbsp;checkType)</PRE>
<DL>
<DD>Checks all other z levels away from current board position if they are
 free to switch the level at the start of a move.<br>
 If signX is 1 field is "east", if it's -1 field is "west". If signY is 1
 forward is "north", if it's -1 it's "south".<br>
 The limit is the number of fields that will be checked at most if no
 figure is in the way. It's determined by the range of a figure.<br>
 Normally a field is allowed to be moved on, if it's not occupied. However,
 some figures can only move diagonally for attacks (pawns). To "turn
 around" the checking, attackOnly should be true.<br>
 The checking will be done for all z level of the current field.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>fig</CODE> - Figure<DD><CODE>path</CODE> - path of Fields to the current check position<DD><CODE>limit</CODE> - maximum number of fields to check further<DD><CODE>signX</CODE> - movement "west": -1, "east": 1<DD><CODE>signY</CODE> - movement "south" (black pawns): -1, "north" (white pawns): 1<DD><CODE>b</CODE> - current 3D board position<DD><CODE>attackOnly</CODE> - allows move only, if target field is occupied by a figure<DD><CODE>checkType</CODE> - MOVE_RANGE, CHECK_THREAD, or CHAIN_THREAD</DL>
</DD>
</DL>
<HR>

<A NAME="checkUpward(model.chess.Figure, java.util.ArrayList, int, int, int, int, int[], boolean, int)"><!-- --></A><H3>
checkUpward</H3>
<PRE>
protected void <B>checkUpward</B>(<A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A>&nbsp;fig,
                           <A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;&nbsp;path,
                           int&nbsp;maxZ,
                           int&nbsp;limit,
                           int&nbsp;signX,
                           int&nbsp;signY,
                           int[]&nbsp;b,
                           boolean&nbsp;attackOnly,
                           int&nbsp;checkType)</PRE>
<DL>
<DD>Checks all upward fields in proper order from current board position on if
 they're free to move onto. If a free field is found, the search continues
 with diagonal checking.<br>
 If signX is 1 field is "east", if it's -1 field is "west". If signY is 1
 forward is "north", if it's -1 it's "south".<br>
 The limit is the number of rows that will be checked at most if no figure
 is in the way. It's determined by the range of a figure.<br>
 Normally a field is allowed to be moved on, if it's not occupied. However,
 some figures can only move diagonally for attacks (pawns). To "turn
 around" the checking, attackOnly should be true.<br>
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>fig</CODE> - Figure<DD><CODE>path</CODE> - path of Fields to the current check position<DD><CODE>maxZ</CODE> - highest z level ID<DD><CODE>limit</CODE> - maximum number of fields to check further<DD><CODE>signX</CODE> - movement "west": -1, "east": 1<DD><CODE>signY</CODE> - movement "south" (black pawns): -1, "north" (white pawns): 1<DD><CODE>b</CODE> - current 3D board position<DD><CODE>attackOnly</CODE> - allows move only, if target field is occupied by a figure<DD><CODE>checkType</CODE> - MOVE_RANGE, CHECK_THREAD, or CHAIN_THREAD</DL>
</DD>
</DL>
<HR>

<A NAME="checkDownward(model.chess.Figure, java.util.ArrayList, int, int, int, int, int[], boolean, int)"><!-- --></A><H3>
checkDownward</H3>
<PRE>
protected void <B>checkDownward</B>(<A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A>&nbsp;fig,
                             <A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;&nbsp;path,
                             int&nbsp;minZ,
                             int&nbsp;limit,
                             int&nbsp;signX,
                             int&nbsp;signY,
                             int[]&nbsp;b,
                             boolean&nbsp;attackOnly,
                             int&nbsp;checkType)</PRE>
<DL>
<DD>Checks all downward fields in proper order from current board position on
 if they're free to move onto. If a free field is found, the search
 continues with diagonal checking.<br>
 If signX is 1 field is "east", if it's -1 field is "west". If signY is 1
 forward is "north", if it's -1 it's "south".<br>
 The limit is the number of rows that will be checked at most if no figure
 is in the way. It's determined by the range of a figure.<br>
 Normally a field is allowed to be moved on, if it's not occupied. However,
 some figures can only move diagonally for attacks (pawns). To "turn
 around" the checking, attackOnly should be true.<br>
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>fig</CODE> - Figure<DD><CODE>path</CODE> - path of Fields to the current check position<DD><CODE>minZ</CODE> - lowest z level ID<DD><CODE>limit</CODE> - maximum number of fields to check further<DD><CODE>signX</CODE> - movement "west": -1, "east": 1<DD><CODE>signY</CODE> - movement "south" (black pawns): -1, "north" (white pawns): 1<DD><CODE>b</CODE> - current 3D board position<DD><CODE>attackOnly</CODE> - allows move only, if target field is occupied by a figure<DD><CODE>checkType</CODE> - MOVE_RANGE, CHECK_THREAD, or CHAIN_THREAD</DL>
</DD>
</DL>
<HR>

<A NAME="checkStraight(model.chess.Figure, java.util.ArrayList, int, int, int[], int, boolean, int)"><!-- --></A><H3>
checkStraight</H3>
<PRE>
public void <B>checkStraight</B>(<A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A>&nbsp;fig,
                          <A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;&nbsp;path,
                          int&nbsp;limit,
                          int&nbsp;sign,
                          int[]&nbsp;b,
                          int&nbsp;xy,
                          boolean&nbsp;mustNotAttack,
                          int&nbsp;checkType)</PRE>
<DL>
<DD>Checks next field relative to current board position if it's free to move
 onto it.<br>
 For xy = 0:<br>
 If sign is 1 it's "east", if it's -1 it's "west".<br>
 For xy = 1:<br>
 If sign is 1 it's "north", if it's -1 it's "south".<br>
 The limit is the number of columns that will be checked at most if no
 figure is in the way. It's determined by the range of a figure.<br>
 The checking will be done for all z levels of the current field.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>fig</CODE> - Figure<DD><CODE>path</CODE> - path of Fields to the current check position<DD><CODE>limit</CODE> - maximum number of fields to check further<DD><CODE>sign</CODE> - movement direction<DD><CODE>b</CODE> - current 3D board position<DD><CODE>xy</CODE> - movement axis<DD><CODE>mustNotAttack</CODE> - true for pawns since they can only attack diagonally<DD><CODE>checkType</CODE> - MOVE_RANGE, CHECK_THREAD, or CHAIN_THREAD</DL>
</DD>
</DL>
<HR>

<A NAME="checkUpDownStraightStart(model.chess.Figure, java.util.ArrayList, int, int, int[], int, boolean, int)"><!-- --></A><H3>
checkUpDownStraightStart</H3>
<PRE>
public void <B>checkUpDownStraightStart</B>(<A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A>&nbsp;fig,
                                     <A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;&nbsp;path,
                                     int&nbsp;limit,
                                     int&nbsp;sign,
                                     int[]&nbsp;b,
                                     int&nbsp;xy,
                                     boolean&nbsp;mustNotAttack,
                                     int&nbsp;checkType)</PRE>
<DL>
<DD>Checks all other z levels away from current board position if they are
 free to switch the level at the start of a move.<br>
 For xy = 0:<br>
 If sign is 1 it's "east", if it's -1 it's "west".<br>
 For xy = 1:<br>
 If sign is 1 it's "north", if it's -1 it's "south".<br>
 The limit is the number of columns that will be checked at most if no
 figure is in the way. It's determined by the range of a figure.<br>
 The checking will be done for all z levels of the current field except the
 one of the position itself.<br>
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>fig</CODE> - Figure<DD><CODE>path</CODE> - path of Fields to the current check position<DD><CODE>limit</CODE> - maximum number of fields to check further<DD><CODE>sign</CODE> - movement direction<DD><CODE>b</CODE> - current 3D board position<DD><CODE>xy</CODE> - movement axis<DD><CODE>mustNotAttack</CODE> - true for pawns since they can only attack diagonally<DD><CODE>checkType</CODE> - MOVE_RANGE, CHECK_THREAD, or CHAIN_THREAD</DL>
</DD>
</DL>
<HR>

<A NAME="checkUpward(model.chess.Figure, java.util.ArrayList, int, int, int, int[], int, boolean, int)"><!-- --></A><H3>
checkUpward</H3>
<PRE>
public void <B>checkUpward</B>(<A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A>&nbsp;fig,
                        <A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;&nbsp;path,
                        int&nbsp;maxZ,
                        int&nbsp;limit,
                        int&nbsp;sign,
                        int[]&nbsp;b,
                        int&nbsp;xy,
                        boolean&nbsp;mustNotAttack,
                        int&nbsp;checkType)</PRE>
<DL>
<DD>Checks all upward fields in proper order from current board position on if
 they're free to move onto. If a free field is found, the search continues
 with forward checking.<br>
 For xy = 0:<br>
 If sign is 1 it's "east", if it's -1 it's "west".<br>
 For xy = 1:<br>
 If sign is 1 it's "north", if it's -1 it's "south".<br>
 The limit is the number of rows that will be checked at most if no figure
 is in the way. It's determined by the range of a figure.<br>
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>fig</CODE> - Figure<DD><CODE>path</CODE> - path of Fields to the current check position<DD><CODE>maxZ</CODE> - highest z level ID<DD><CODE>limit</CODE> - maximum number of fields to check further<DD><CODE>sign</CODE> - movement direction<DD><CODE>b</CODE> - current 3D board position<DD><CODE>xy</CODE> - movement axis<DD><CODE>mustNotAttack</CODE> - true for pawns since they can only attack diagonally<DD><CODE>checkType</CODE> - MOVE_RANGE, CHECK_THREAD, or CHAIN_THREAD</DL>
</DD>
</DL>
<HR>

<A NAME="checkDownward(model.chess.Figure, java.util.ArrayList, int, int, int, int[], int, boolean, int)"><!-- --></A><H3>
checkDownward</H3>
<PRE>
public void <B>checkDownward</B>(<A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A>&nbsp;fig,
                          <A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;&nbsp;path,
                          int&nbsp;minZ,
                          int&nbsp;limit,
                          int&nbsp;sign,
                          int[]&nbsp;b,
                          int&nbsp;xy,
                          boolean&nbsp;mustNotAttack,
                          int&nbsp;checkType)</PRE>
<DL>
<DD>Checks all downward fields in proper order from current board position on
 if they're free to move onto. If a free field is found, the search
 continues with forward checking.<br>
 For xy = 0:<br>
 If sign is 1 it's "east", if it's -1 it's "west".<br>
 For xy = 1:<br>
 If sign is 1 it's "north", if it's -1 it's "south".<br>
 The limit is the number of rows that will be checked at most if no figure
 is in the way. It's determined by the range of a figure.<br>
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>fig</CODE> - Figure<DD><CODE>path</CODE> - path of Fields to the current check position<DD><CODE>minZ</CODE> - lowest z level ID<DD><CODE>limit</CODE> - maximum number of fields to check further<DD><CODE>sign</CODE> - movement direction<DD><CODE>b</CODE> - current 3D board position<DD><CODE>xy</CODE> - movement axis<DD><CODE>mustNotAttack</CODE> - true for pawns since they can only attack diagonally<DD><CODE>checkType</CODE> - MOVE_RANGE, CHECK_THREAD, or CHAIN_THREAD</DL>
</DD>
</DL>
<HR>

<A NAME="checkJumps(model.chess.Figure, java.util.ArrayList, int[], int)"><!-- --></A><H3>
checkJumps</H3>
<PRE>
public void <B>checkJumps</B>(<A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A>&nbsp;fig,
                       <A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;&nbsp;path,
                       int[]&nbsp;b,
                       int&nbsp;checkType)</PRE>
<DL>
<DD>Checks all jump destination fields on all z levels relative to current
 board position if they're free to move onto.<br>
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>fig</CODE> - Figure<DD><CODE>path</CODE> - path of Fields to the current check position<DD><CODE>b</CODE> - current 3D board position<DD><CODE>checkType</CODE> - MOVE_RANGE, CHECK_THREAD, or CHAIN_THREAD</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/FigureRangeChecking.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV CLASS&nbsp;
&nbsp;<A HREF="../../../model/chess/trid/Game.html" title="class in model.chess.trid"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../index.html?model/chess/trid/FigureRangeChecking.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="FigureRangeChecking.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
